# Commentaries

Add a textual representation of the actions that take place in a fixture with the commentaries endpoint. The commentaries are available for the major leagues. Commentaries are marked as important or goal when they meet that criteria.

You can find the details, including base URL, parameters, includes and more in the below endpoint.

* **GET All Commentaries:** returns all the available commentaries.
* **GET Commentaries by Fixture ID:** returns a textual representation from the requested fixture ID.

#### Include options

[`fixture`](/v3/endpoints-and-entities/entities/fixture.md#fixture)  [`player`](/v3/endpoints-and-entities/entities/team-player-squad-coach-and-referee.md#player) [`relatedPlayer`](/v3/endpoints-and-entities/entities/team-player-squad-coach-and-referee.md#player)

**Related Entities:**

Get an overview and explanation of all the fields returned in the API response. The related entities for the commentaries endpoint are:

* [Commentary](/v3/endpoints-and-entities/entities/other.md#commentary)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sportmonks.com/v3/endpoints-and-entities/endpoints/commentaries.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
